package cn.com.countrygarden.bi.main.dao.ck.satisfaction;

import cn.com.countrygarden.bi.main.core.Mapper;
import cn.com.countrygarden.bi.main.model.ck.satisfaction.SatisfiedRegion;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * <p>
 *   满意度-区域数据层
 * </p>
 *
 * @author
 * @date 2021-08-06
 * @version V1.0
 */
@org.apache.ibatis.annotations.Mapper
public interface SatisfiedRegionMapper extends Mapper<SatisfiedRegion> {

    Long selectListDataToble(SatisfiedRegion satisfiedRegion);

    List<SatisfiedRegion> queryPageList(SatisfiedRegion satisfiedRegion);

    List<SatisfiedRegion> getrevenue(@Param("startTime") String startTime,@Param("endTime") String endTime);

    List<SatisfiedRegion> listBiao();

    int insertPL(@Param("orListIn") List<SatisfiedRegion> orListIn);

    List<String> niancha();

    int updateDelete();
}
